Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade commons-lang3 in release/1.3.x to make bom java11 compatible #2679

Merged
merged 1 commit into from Mar 5, 2019

Conversation

Projects
None yet
2 participants
@georgespalding
Copy link

commented Mar 5, 2019

Problem:

There is a bug in older versions of commons-lang3 that affects users running on java11
See further details in https://issues.apache.org/jira/browse/LANG-1384
Using the recent commons-lang3 version in dropwizard-bom eases java11 transitioning for dropwizard users.

Solution:

Updating to the most recent release of commons-lang3 (atm 3.8.1) solves the problem

Result:

Dropwizard users relying on dropwizard-bom do not need to manually version manage commons-lang3 to a newer version themselves

Upgrade commons-lang3 in release/1.3.x to make bom java11 compatible
For reasons mentioned in https://issues.apache.org/jira/browse/LANG-1384
iupdating the commons-lang3 version in dropwizard-bom eases java11 transitioning.
Closes #2677
@joschi

joschi approved these changes Mar 5, 2019

Copy link
Member

left a comment

@georgespalding Thanks!

Looks like commons-lang3 3.8.1 doesn't include any breaking changes over 3.7, so I guess it's good to go.

https://commons.apache.org/proper/commons-lang/release-notes/RELEASE-NOTES-3.8.1.txt

@joschi joschi merged commit 78e194f into dropwizard:release/1.3.x Mar 5, 2019

3 checks passed

ci/circleci Your tests passed on CircleCI!
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

@joschi joschi self-assigned this Mar 5, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.